Bug 981381 - In the project errai-cdi-demo-mvp is impossible to create two (or more) new contacts
In the project errai-cdi-demo-mvp is impossible to create two (or more) new c...
Status: CLOSED INSUFFICIENT_DATA
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Errai (Show other bugs)
2.3.0
Unspecified Unspecified
unspecified Severity medium
: CR2
: 2.3.0
Assigned To: Pavel SLegr
Stefan Miklosovic
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 11:08 EDT by Matous Jobanek
Modified: 2015-08-02 19:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cause: The action "add new contact" uses the same method as the action "edit contact" (in the class "EditContactPresenter" method "doSave") Consequence: In the project errai-cdi-demo-mvp is impossible to create two (or more) new contacts Workaround (if any): Result:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 14:23:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFK2-34 Major Closed In the project errai-cdi-demo-mvp is impossible to create two (or more) new contacts 2013-11-19 04:36:22 EST

  None (edit)
Description Matous Jobanek 2013-07-04 11:08:33 EDT
Description of problem:
In the project errai-cdi-demo-mvp is impossible to create two (or more) new contacts - the cause is that the action "add new contact" uses the same method as the action "edit contact" (in the class "EditContactPresenter" method "doSave")

Version-Release number of selected component (if applicable):
2.3.0


How reproducible:
add two new contacts

Steps to Reproduce:
1. Build project errai-cdi-demo-mvp
2. Deploy it
3. Add new arbitrary contact
4. Add new arbitrary contact (different from first one)

Actual results:
There is only one new contact (the second one) in the list

Expected results:
Two new contacts

Additional info:
Comment 1 Christian Sadilek 2013-07-04 11:45:38 EDT
This has been fixed before:
https://github.com/errai/errai/commit/da2b451dbb62c0956df32f823e06a4018f9436ee

Unfortunately, the fix was lost when the upgraded demos were merged into master. I have cherry-picked the commit onto the 2.3 branch now.
Comment 2 Jonathan Fuerth 2013-07-16 14:23:08 EDT
Migrated to JIRA
Comment 3 JBoss JIRA Server 2013-07-23 04:59:57 EDT
Marek Novotny <mnovotny@redhat.com> made a comment on jira WFK2-34

Clearing proposed Target Release value from 2.0.0.GA to Unknown
Comment 4 JBoss JIRA Server 2013-07-30 14:02:34 EDT
Rodney Russ <rruss@redhat.com> made a comment on jira WFK2-34

Should this issue just move to Errai [~csa] [~jfuerth] ?
Comment 5 JBoss JIRA Server 2013-07-30 14:07:09 EDT
Christian Sadilek <csadilek@redhat.com> made a comment on jira WFK2-34

This issue has been resolved in Errai a while ago (see corresponding bug 981381). There's no need to keep it. I suggest closing it if applying the fix to WFK is not desired.
Comment 6 JBoss JIRA Server 2013-07-30 20:12:57 EDT
Rodney Russ <rruss@redhat.com> updated the status of jira WFK2-34 to Closed
Comment 7 JBoss JIRA Server 2013-07-30 20:12:57 EDT
Rodney Russ <rruss@redhat.com> made a comment on jira WFK2-34

Fixed upstream
Comment 8 JBoss JIRA Server 2013-07-31 03:51:17 EDT
Marek Novotny <mnovotny@redhat.com> made a comment on jira WFK2-34

We need a link to fix, and verification that it is in our product branch. We can't close it!
Comment 9 JBoss JIRA Server 2013-07-31 03:52:30 EDT
Marek Novotny <mnovotny@redhat.com> updated the status of jira WFK2-34 to Reopened
Comment 10 JBoss JIRA Server 2013-07-31 03:52:30 EDT
Marek Novotny <mnovotny@redhat.com> made a comment on jira WFK2-34

[~pslegr] Please verify that we really have the fix in product branch.
Comment 11 JBoss JIRA Server 2013-07-31 04:08:03 EDT
Pavel Slegr <pslegr@redhat.com> made a comment on jira WFK2-34

There is link to fix provided from [~csa] https://github.com/errai/errai/commit/da2b451dbb62c0956df32f823e06a4018f9436ee with explanation, that this fix was lost. It never made it into 2.3.x upstream code and thus is not included in out product branch - so I can verify it's not there. Since we depracate Errai and not include new fixes on Errai itself, I would close it.
Comment 12 JBoss JIRA Server 2013-07-31 04:12:54 EDT
Pavel Slegr <pslegr@redhat.com> made a comment on jira WFK2-34

We are not going to fix it, but this issue needs to remain open and put it into RN as known issue for 2.4 WFK

Note You need to log in before you can comment on or make changes to this bug.